Subject: bug#69693: 30.0.50; package-load-desciptor: End of file during parsing

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Mar 2024 08:43:16 +0200

> Date: Sun, 10 Mar 2024 02:45:35 +0000
> From: divya--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> Building emacs from the latest `master` branch gives a
> `package-load-descriptor: end of file during parsing` error when some of
> the interactive `package.el` functions are called. So, when I do `M-x
> package-install` it gives me the aforementioned error, same if I do
> `package-upgrade-all` or even `list-packages`.
> 
> I have rebuilt Emacs from source and I face the same issue even when
> running `emacs -q`.

I cannot reproduce this, I tried "M-x list-packages" and didn't see
any such error.  This is with the current master branch.

Suggest "make bootstrap" in a clean tree.